import '../enum/supported_locale.dart';
import 'package:flutter/material.dart';

class SupportedLocaleHelper {
  SupportedLocaleHelper._();

  static Locale getLocale(SupportedLocale supportedLocale) {
    switch (supportedLocale) {
      case SupportedLocale.en:
        return const Locale('en');
      case SupportedLocale.vi:
        return const Locale('vi');
    }
  }

  static SupportedLocale fromLocale(Locale locale) {
    switch (locale.languageCode) {
      case 'en':
        return SupportedLocale.en;
      case 'vi':
        return SupportedLocale.vi;
      default:
        throw Exception('unsupported locale $locale');
    }
  }
}
