import 'package:flutter/foundation.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

part 'fetch_failure.freezed.dart';

@freezed
class FetchFailure with _$FetchFailure {
  const factory FetchFailure.serverError(
      int code, List<String> msg, String data) = ServerError;
  const factory FetchFailure.networkError() = NetworkError;
  const factory FetchFailure.unknownError(int code, String msg, String data) =
      UnknownError;
  const factory FetchFailure.noData() = NoData;
  const factory FetchFailure.nothing() = Nothing;
  const factory FetchFailure.login(List<String> msg, String data) = Login;
  const factory FetchFailure.warningError(
      int code, List<String> msg, String data) = WarningError;
  const factory FetchFailure.crashError(int code, msg, String data) =
      CrashError;
}
