
import 'package:flutter/material.dart';

import '../../common/values/sizes.dart';
import '../custom/custom_icon.dart';

class CustomButtonBackWiget extends StatelessWidget {
  const CustomButtonBackWiget({Key? key, this.opacity, this.color})
      : super(key: key);
  final double? opacity;
  final Color? color;

  @override
  Widget build(BuildContext context) {
    return Opacity(
      opacity: opacity ?? 1.0,
      child: Align(
        alignment: Alignment.center,
        child: Container(
            margin: EdgeInsets.only(bottom: Sizes.MARGIN_BOTTOM),
            alignment: Alignment.center,
            decoration: BoxDecoration(borderRadius: BorderRadius.circular(30)),
            width: Sizes.WIDTH_36,
            height: Sizes.WIDTH_36,
            child: CustomIcon(
              icon: Icons.keyboard_arrow_left_outlined,
              color: color ?? Colors.black87,
              size: Sizes.ICON_SIZE_32,
            )),
      ),
    );
  }
}
