import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextSmallBoldField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;
  final double? textSize;
  final FontWeight? fontWeight;
  final String? fontName;

  CustomTextSmallBoldField(
      {required this.label,
      this.color,
      this.align,
      this.maxLine,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label,
          textAlign: align,
          maxLines: maxLine,
          overflow: TextOverflow.ellipsis,
          style: Styles.customTextSmallBoldStyle(
              color: color,
              fontName: fontName,
              fontWeight: fontWeight,
              textSize: textSize));
    } else {
      return Container();
    }
  }
}
